Create a group
curl --request POST \
--url https://api.cpln.io/org/{org}/group \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"tags": {},
"memberLinks": [
"<string>"
],
"memberQuery": {
"kind": "<string>",
"spec": {
"match": "all",
"terms": [
{
"op": "=",
"property": "<string>",
"rel": "<string>",
"tag": "<string>",
"value": "<string>"
}
],
"sort": {
"by": "<string>",
"order": "asc"
}
}
},
"identityMatcher": {
"expression": "<string>",
"language": "jmespath"
}
}
'import requests
url = "https://api.cpln.io/org/{org}/group"
payload = {
"name": "<string>",
"description": "<string>",
"tags": {},
"memberLinks": ["<string>"],
"memberQuery": {
"kind": "<string>",
"spec": {
"match": "all",
"terms": [
{
"op": "=",
"property": "<string>",
"rel": "<string>",
"tag": "<string>",
"value": "<string>"
}
],
"sort": {
"by": "<string>",
"order": "asc"
}
}
},
"identityMatcher": {
"expression": "<string>",
"language": "jmespath"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
tags: {},
memberLinks: ['<string>'],
memberQuery: {
kind: '<string>',
spec: {
match: 'all',
terms: [
{
op: '=',
property: '<string>',
rel: '<string>',
tag: '<string>',
value: '<string>'
}
],
sort: {by: '<string>', order: 'asc'}
}
},
identityMatcher: {expression: '<string>', language: 'jmespath'}
})
};
fetch('https://api.cpln.io/org/{org}/group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}Group
Create a group
POST
/
org
/
{org}
/
group
Create a group
Authorizations
serviceAccountKeyjwt
Service account key can be used as API keys
Path Parameters
Body
application/json
Response
Group was created successfully
⌘I